// 创建模态创 - 详细数据
var createModal = function (config) {
  var modal = '<div class="modal fade" id="modal_' + config.id + '" tabindex="-1" role="dialog" aria-labelledby="modal_' + config.id + '">' +
    '<div class="modal-dialog" role="document">' +
    '<div class="modal-content">' +
    '<div class="modal-header">' +
    '<button type="button" class="btn btn-default" data-dismiss="modal" style="float:right; border:none; background:none;">x</button>' +
    '</div>' +
    '<div class="modal-body">' +
    createDataTable(config) +
    '</div>' +
    '</div>' +
    '</div>' +
    '</div>';
  $('body').append(modal);
  initDataTable('#table_id_' + config.id);
}

// 创建 - 表格数据
var createDataTable = function (config) {
  var tableHtml = '<table id="table_id_' + config.id + '" style="table-layout:fixed;">' +
    '<thead><tr><th>' + config.data.name + '</th><th style="min-width: 40px;">数量</th><th style="width: 60px;">操作</th></tr></thead><tbody>';
  var data = config.data.data;
  var nolink = ['mater_law', 'proc_law', 'gf_opponent', 'sf_opponent', 'gf_lawyeroffice', 'sf_lawyeroffice', 'gf_lawyer', 'sf_lawyer'];
  for (var index in data) {
    var field = data[index]['field'];
    var cnt = data[index]['cnt'];
    var key = data[index]['key'];
    var id = data[index]['id'];

    if (config.data.name == "审判月份") {
      key = "w:judgemonth_" + key + "_" + key;
    }
    if(location.href.indexOf('vis_search') > -1){
      var but = '<td><button onclick="searchKey(this)" data-id="' + id + '" data-k="' + key + '" data-field="' + field + '">查询</button></td>';
    } else {
      var but = '<td class="vis_searchbtn">'+ (isNaN(key) ? '<button data-id="' + id + '" data-k="' + key + '" data-field="' + field + '">查询</button> ': "-" )+'</td>';
    }
    for (var i = 0; i < nolink.length; i++) {
      if (nolink[i] == config.id) {
        but = '<td> -- </td>';
        break;
      }
    }

    tableHtml += '<tr><td>' + field + '</td><td>' + cnt + '</td>' + but + '</tr>';
  }
  tableHtml += '</tbody></table>';
  return tableHtml;
}

function initDataTable(tableid) {
  $(tableid).DataTable({
    searching: false, //搜索
    paging: false, //分页
    bAutoWidth: false, // 取消自动分配宽度
    // scrollY: '400', // 固定高度
    "bInfo": false, //页脚信息
    //跟数组下标一样，第一列从0开始，这里表格初始化时，第二列默认降序
    "order": [
      [1, "desc"]
    ],
    columnDefs: [{
      orderable: false, //禁用排序
      targets: [2] //指定的列
    }],
    language: {
      "sProcessing": "处理中...",
      "sLengthMenu": "显示 _MENU_ 项结果",
      "sZeroRecords": "没有匹配结果",
      "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
      "sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
      "sInfoFiltered": "(由 _MAX_ 项结果过滤)",
      "sInfoPostFix": "",
      "sSearch": "搜索:",
      "sUrl": "",
      "sEmptyTable": "表中数据为空",
      "sLoadingRecords": "载入中...",
      "sInfoThousands": ",",
      "oPaginate": {
        "sFirst": "首页",
        "sPrevious": "上页",
        "sNext": "下页",
        "sLast": "末页"
      },
      "oAria": {
        "sSortAscending": ": 以升序排列此列",
        "sSortDescending": ": 以降序排列此列"
      }
    }
  });
}