var jcmp = {};
jcmp.bridge = {};

jcmp.isAndroid = (/android/gi).test(navigator.appVersion)
jcmp.isIOS = (/iphone|ipad/gi).test(navigator.appVersion)
jcmp.isJCMobile = (/JCMobile/gi).test(navigator.appVersion)

// if (jcmp.isJCMobile) {
    if (jcmp.isAndroid) {
        jcmp.setupWebViewJavascriptBridge = function (callback) {
            if (window.top.WebViewJavascriptBridge) {
                callback(window.top.WebViewJavascriptBridge)
            } else {
                document.addEventListener('WebViewJavascriptBridgeReady', function () {
                    callback(window.top.WebViewJavascriptBridge)
                },
                    false
                )
            }
        }
        //WebViewJavascriptBridge.init(function(){})
    } else if (jcmp.isIOS) {
        jcmp.setupWebViewJavascriptBridge = function (callback) {
            if (window.top.WebViewJavascriptBridge) { return callback(window.top.WebViewJavascriptBridge); }
            if (window.top.WVJBCallbacks) { return window.top.WVJBCallbacks.push(callback); }
            window.top.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'https://__bridge_loaded__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () { document.documentElement.removeChild(WVJBIframe) }, 0)
        }

        // jcmp.setupWebViewJavascriptBridge(function () { })

    }
// }

jcmp.callHandler = function (handler, options, callback) {
    function call() {
        if (window.top.WebViewJavascriptBridge) {
            window.top.WebViewJavascriptBridge.isDebug = false;
            window.top.WebViewJavascriptBridge.callHandler(handler, options, callback)
            return true
        }
        return false
    }

    call() || jcmp.setupWebViewJavascriptBridge(call)
}

jcmp.registerHandler = function (handler, callback) {
    // if (!jcmp.isJCMobile) {
    //     console && console.log && console.log('当前运行环境不允许调用此方法！')
    //     return
    // }
    function register() {
        if (window.top.WebViewJavascriptBridge) {
            window.top.WebViewJavascriptBridge.registerHandler(handler, callback)
            return true
        }
        return false
    }
    register() || jcmp.setupWebViewJavascriptBridge(register)
}